// Code generated by software.amazon.smithy.rust.codegen.smithy-rs. DO NOT EDIT.
/// All possible error types for this service.
#[non_exhaustive]
#[derive(std::fmt::Debug)]
pub enum Error {
    /// <p>Your request didn't pass one or more validation tests. This can occur when the entity you're trying to delete doesn't exist or if it's in a non-terminal state (such as <code>IN PROGRESS</code>). See the exception message field for more information.</p>
    BadRequestException(crate::error::BadRequestException),
    /// <p>A resource already exists with this name. Resource names must be unique within an Amazon Web Services account.</p>
    ConflictException(crate::error::ConflictException),
    /// <p>There was an internal error. Check the error message, correct the issue, and try your request again.</p>
    InternalFailureException(crate::error::InternalFailureException),
    /// <p>You've either sent too many requests or your input file is too long. Wait before retrying your request, or use a smaller file and try your request again.</p>
    LimitExceededException(crate::error::LimitExceededException),
    /// <p>We can't find the requested resource. Check that the specified name is correct and try your request again.</p>
    NotFoundException(crate::error::NotFoundException),
    ///
    /// An unexpected error occurred (e.g., invalid JSON returned by the service or an unknown error code).
    ///
    /// When logging an error from the SDK, it is recommended that you either wrap the error in
    /// [`DisplayErrorContext`](crate::types::DisplayErrorContext), use another
    /// error reporter library that visits the error's cause/source chain, or call
    /// [`Error::source`](std::error::Error::source) for more details about the underlying cause.
    ///
    Unhandled(crate::error::Unhandled),
}
impl std::fmt::Display for Error {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            Error::BadRequestException(inner) => inner.fmt(f),
            Error::ConflictException(inner) => inner.fmt(f),
            Error::InternalFailureException(inner) => inner.fmt(f),
            Error::LimitExceededException(inner) => inner.fmt(f),
            Error::NotFoundException(inner) => inner.fmt(f),
            Error::Unhandled(inner) => inner.fmt(f),
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::CreateCallAnalyticsCategoryError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::CreateCallAnalyticsCategoryError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::CreateCallAnalyticsCategoryError> for Error {
    fn from(err: crate::error::CreateCallAnalyticsCategoryError) -> Self {
        match err.kind {
            crate::error::CreateCallAnalyticsCategoryErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::CreateCallAnalyticsCategoryErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::CreateCallAnalyticsCategoryErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::CreateCallAnalyticsCategoryErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::CreateCallAnalyticsCategoryErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::CreateLanguageModelError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::CreateLanguageModelError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::CreateLanguageModelError> for Error {
    fn from(err: crate::error::CreateLanguageModelError) -> Self {
        match err.kind {
            crate::error::CreateLanguageModelErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::CreateLanguageModelErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::CreateLanguageModelErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::CreateLanguageModelErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::CreateLanguageModelErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::CreateMedicalVocabularyError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::CreateMedicalVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::CreateMedicalVocabularyError> for Error {
    fn from(err: crate::error::CreateMedicalVocabularyError) -> Self {
        match err.kind {
            crate::error::CreateMedicalVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::CreateMedicalVocabularyErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::CreateMedicalVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::CreateMedicalVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::CreateMedicalVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::CreateVocabularyError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::CreateVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::CreateVocabularyError> for Error {
    fn from(err: crate::error::CreateVocabularyError) -> Self {
        match err.kind {
            crate::error::CreateVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::CreateVocabularyErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::CreateVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::CreateVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::CreateVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::CreateVocabularyFilterError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::CreateVocabularyFilterError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::CreateVocabularyFilterError> for Error {
    fn from(err: crate::error::CreateVocabularyFilterError) -> Self {
        match err.kind {
            crate::error::CreateVocabularyFilterErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::CreateVocabularyFilterErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::CreateVocabularyFilterErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::CreateVocabularyFilterErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::CreateVocabularyFilterErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteCallAnalyticsCategoryError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteCallAnalyticsCategoryError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteCallAnalyticsCategoryError> for Error {
    fn from(err: crate::error::DeleteCallAnalyticsCategoryError) -> Self {
        match err.kind {
            crate::error::DeleteCallAnalyticsCategoryErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteCallAnalyticsCategoryErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteCallAnalyticsCategoryErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteCallAnalyticsCategoryErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::DeleteCallAnalyticsCategoryErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteCallAnalyticsJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteCallAnalyticsJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteCallAnalyticsJobError> for Error {
    fn from(err: crate::error::DeleteCallAnalyticsJobError) -> Self {
        match err.kind {
            crate::error::DeleteCallAnalyticsJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteCallAnalyticsJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteCallAnalyticsJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteCallAnalyticsJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteLanguageModelError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteLanguageModelError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteLanguageModelError> for Error {
    fn from(err: crate::error::DeleteLanguageModelError) -> Self {
        match err.kind {
            crate::error::DeleteLanguageModelErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteLanguageModelErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteLanguageModelErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteLanguageModelErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteMedicalTranscriptionJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteMedicalTranscriptionJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteMedicalTranscriptionJobError> for Error {
    fn from(err: crate::error::DeleteMedicalTranscriptionJobError) -> Self {
        match err.kind {
            crate::error::DeleteMedicalTranscriptionJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteMedicalTranscriptionJobErrorKind::InternalFailureException(
                inner,
            ) => Error::InternalFailureException(inner),
            crate::error::DeleteMedicalTranscriptionJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteMedicalTranscriptionJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteMedicalVocabularyError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteMedicalVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteMedicalVocabularyError> for Error {
    fn from(err: crate::error::DeleteMedicalVocabularyError) -> Self {
        match err.kind {
            crate::error::DeleteMedicalVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteMedicalVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteMedicalVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteMedicalVocabularyErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::DeleteMedicalVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteTranscriptionJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteTranscriptionJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteTranscriptionJobError> for Error {
    fn from(err: crate::error::DeleteTranscriptionJobError) -> Self {
        match err.kind {
            crate::error::DeleteTranscriptionJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteTranscriptionJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteTranscriptionJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteTranscriptionJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteVocabularyError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteVocabularyError> for Error {
    fn from(err: crate::error::DeleteVocabularyError) -> Self {
        match err.kind {
            crate::error::DeleteVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteVocabularyErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::DeleteVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DeleteVocabularyFilterError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DeleteVocabularyFilterError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DeleteVocabularyFilterError> for Error {
    fn from(err: crate::error::DeleteVocabularyFilterError) -> Self {
        match err.kind {
            crate::error::DeleteVocabularyFilterErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DeleteVocabularyFilterErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DeleteVocabularyFilterErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DeleteVocabularyFilterErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::DeleteVocabularyFilterErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::DescribeLanguageModelError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::DescribeLanguageModelError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::DescribeLanguageModelError> for Error {
    fn from(err: crate::error::DescribeLanguageModelError) -> Self {
        match err.kind {
            crate::error::DescribeLanguageModelErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::DescribeLanguageModelErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::DescribeLanguageModelErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::DescribeLanguageModelErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::DescribeLanguageModelErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetCallAnalyticsCategoryError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::GetCallAnalyticsCategoryError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetCallAnalyticsCategoryError> for Error {
    fn from(err: crate::error::GetCallAnalyticsCategoryError) -> Self {
        match err.kind {
            crate::error::GetCallAnalyticsCategoryErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetCallAnalyticsCategoryErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetCallAnalyticsCategoryErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetCallAnalyticsCategoryErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetCallAnalyticsCategoryErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetCallAnalyticsJobError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::GetCallAnalyticsJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetCallAnalyticsJobError> for Error {
    fn from(err: crate::error::GetCallAnalyticsJobError) -> Self {
        match err.kind {
            crate::error::GetCallAnalyticsJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetCallAnalyticsJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetCallAnalyticsJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetCallAnalyticsJobErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetCallAnalyticsJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetMedicalTranscriptionJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::GetMedicalTranscriptionJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetMedicalTranscriptionJobError> for Error {
    fn from(err: crate::error::GetMedicalTranscriptionJobError) -> Self {
        match err.kind {
            crate::error::GetMedicalTranscriptionJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetMedicalTranscriptionJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetMedicalTranscriptionJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetMedicalTranscriptionJobErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetMedicalTranscriptionJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetMedicalVocabularyError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::GetMedicalVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetMedicalVocabularyError> for Error {
    fn from(err: crate::error::GetMedicalVocabularyError) -> Self {
        match err.kind {
            crate::error::GetMedicalVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetMedicalVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetMedicalVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetMedicalVocabularyErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetMedicalVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetTranscriptionJobError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::GetTranscriptionJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetTranscriptionJobError> for Error {
    fn from(err: crate::error::GetTranscriptionJobError) -> Self {
        match err.kind {
            crate::error::GetTranscriptionJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetTranscriptionJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetTranscriptionJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetTranscriptionJobErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetTranscriptionJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetVocabularyError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(err: aws_smithy_http::result::SdkError<crate::error::GetVocabularyError, R>) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetVocabularyError> for Error {
    fn from(err: crate::error::GetVocabularyError) -> Self {
        match err.kind {
            crate::error::GetVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetVocabularyErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::GetVocabularyFilterError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::GetVocabularyFilterError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::GetVocabularyFilterError> for Error {
    fn from(err: crate::error::GetVocabularyFilterError) -> Self {
        match err.kind {
            crate::error::GetVocabularyFilterErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::GetVocabularyFilterErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::GetVocabularyFilterErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::GetVocabularyFilterErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::GetVocabularyFilterErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListCallAnalyticsCategoriesError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListCallAnalyticsCategoriesError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListCallAnalyticsCategoriesError> for Error {
    fn from(err: crate::error::ListCallAnalyticsCategoriesError) -> Self {
        match err.kind {
            crate::error::ListCallAnalyticsCategoriesErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListCallAnalyticsCategoriesErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListCallAnalyticsCategoriesErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListCallAnalyticsCategoriesErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListCallAnalyticsJobsError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListCallAnalyticsJobsError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListCallAnalyticsJobsError> for Error {
    fn from(err: crate::error::ListCallAnalyticsJobsError) -> Self {
        match err.kind {
            crate::error::ListCallAnalyticsJobsErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListCallAnalyticsJobsErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListCallAnalyticsJobsErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListCallAnalyticsJobsErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListLanguageModelsError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListLanguageModelsError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListLanguageModelsError> for Error {
    fn from(err: crate::error::ListLanguageModelsError) -> Self {
        match err.kind {
            crate::error::ListLanguageModelsErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListLanguageModelsErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListLanguageModelsErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListLanguageModelsErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListMedicalTranscriptionJobsError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListMedicalTranscriptionJobsError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListMedicalTranscriptionJobsError> for Error {
    fn from(err: crate::error::ListMedicalTranscriptionJobsError) -> Self {
        match err.kind {
            crate::error::ListMedicalTranscriptionJobsErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListMedicalTranscriptionJobsErrorKind::InternalFailureException(
                inner,
            ) => Error::InternalFailureException(inner),
            crate::error::ListMedicalTranscriptionJobsErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListMedicalTranscriptionJobsErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListMedicalVocabulariesError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListMedicalVocabulariesError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListMedicalVocabulariesError> for Error {
    fn from(err: crate::error::ListMedicalVocabulariesError) -> Self {
        match err.kind {
            crate::error::ListMedicalVocabulariesErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListMedicalVocabulariesErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListMedicalVocabulariesErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListMedicalVocabulariesErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListTagsForResourceError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListTagsForResourceError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListTagsForResourceError> for Error {
    fn from(err: crate::error::ListTagsForResourceError) -> Self {
        match err.kind {
            crate::error::ListTagsForResourceErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListTagsForResourceErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListTagsForResourceErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListTagsForResourceErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::ListTagsForResourceErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListTranscriptionJobsError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListTranscriptionJobsError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListTranscriptionJobsError> for Error {
    fn from(err: crate::error::ListTranscriptionJobsError) -> Self {
        match err.kind {
            crate::error::ListTranscriptionJobsErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListTranscriptionJobsErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListTranscriptionJobsErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListTranscriptionJobsErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListVocabulariesError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListVocabulariesError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListVocabulariesError> for Error {
    fn from(err: crate::error::ListVocabulariesError) -> Self {
        match err.kind {
            crate::error::ListVocabulariesErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListVocabulariesErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListVocabulariesErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListVocabulariesErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::ListVocabularyFiltersError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::ListVocabularyFiltersError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::ListVocabularyFiltersError> for Error {
    fn from(err: crate::error::ListVocabularyFiltersError) -> Self {
        match err.kind {
            crate::error::ListVocabularyFiltersErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::ListVocabularyFiltersErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::ListVocabularyFiltersErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::ListVocabularyFiltersErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::StartCallAnalyticsJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::StartCallAnalyticsJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::StartCallAnalyticsJobError> for Error {
    fn from(err: crate::error::StartCallAnalyticsJobError) -> Self {
        match err.kind {
            crate::error::StartCallAnalyticsJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::StartCallAnalyticsJobErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::StartCallAnalyticsJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::StartCallAnalyticsJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::StartCallAnalyticsJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::StartMedicalTranscriptionJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::StartMedicalTranscriptionJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::StartMedicalTranscriptionJobError> for Error {
    fn from(err: crate::error::StartMedicalTranscriptionJobError) -> Self {
        match err.kind {
            crate::error::StartMedicalTranscriptionJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::StartMedicalTranscriptionJobErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::StartMedicalTranscriptionJobErrorKind::InternalFailureException(
                inner,
            ) => Error::InternalFailureException(inner),
            crate::error::StartMedicalTranscriptionJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::StartMedicalTranscriptionJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::StartTranscriptionJobError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::StartTranscriptionJobError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::StartTranscriptionJobError> for Error {
    fn from(err: crate::error::StartTranscriptionJobError) -> Self {
        match err.kind {
            crate::error::StartTranscriptionJobErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::StartTranscriptionJobErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::StartTranscriptionJobErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::StartTranscriptionJobErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::StartTranscriptionJobErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::TagResourceError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(err: aws_smithy_http::result::SdkError<crate::error::TagResourceError, R>) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::TagResourceError> for Error {
    fn from(err: crate::error::TagResourceError) -> Self {
        match err.kind {
            crate::error::TagResourceErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::TagResourceErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::TagResourceErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::TagResourceErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::TagResourceErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::TagResourceErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::UntagResourceError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(err: aws_smithy_http::result::SdkError<crate::error::UntagResourceError, R>) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::UntagResourceError> for Error {
    fn from(err: crate::error::UntagResourceError) -> Self {
        match err.kind {
            crate::error::UntagResourceErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::UntagResourceErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::UntagResourceErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::UntagResourceErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::UntagResourceErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::UntagResourceErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::UpdateCallAnalyticsCategoryError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::UpdateCallAnalyticsCategoryError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::UpdateCallAnalyticsCategoryError> for Error {
    fn from(err: crate::error::UpdateCallAnalyticsCategoryError) -> Self {
        match err.kind {
            crate::error::UpdateCallAnalyticsCategoryErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::UpdateCallAnalyticsCategoryErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::UpdateCallAnalyticsCategoryErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::UpdateCallAnalyticsCategoryErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::UpdateCallAnalyticsCategoryErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::UpdateCallAnalyticsCategoryErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::UpdateMedicalVocabularyError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::UpdateMedicalVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::UpdateMedicalVocabularyError> for Error {
    fn from(err: crate::error::UpdateMedicalVocabularyError) -> Self {
        match err.kind {
            crate::error::UpdateMedicalVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::UpdateMedicalVocabularyErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::UpdateMedicalVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::UpdateMedicalVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::UpdateMedicalVocabularyErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::UpdateMedicalVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::UpdateVocabularyError, R>> for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::UpdateVocabularyError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::UpdateVocabularyError> for Error {
    fn from(err: crate::error::UpdateVocabularyError) -> Self {
        match err.kind {
            crate::error::UpdateVocabularyErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::UpdateVocabularyErrorKind::ConflictException(inner) => {
                Error::ConflictException(inner)
            }
            crate::error::UpdateVocabularyErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::UpdateVocabularyErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::UpdateVocabularyErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::UpdateVocabularyErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl<R> From<aws_smithy_http::result::SdkError<crate::error::UpdateVocabularyFilterError, R>>
    for Error
where
    R: Send + Sync + std::fmt::Debug + 'static,
{
    fn from(
        err: aws_smithy_http::result::SdkError<crate::error::UpdateVocabularyFilterError, R>,
    ) -> Self {
        match err {
            aws_smithy_http::result::SdkError::ServiceError(context) => {
                Self::from(context.into_err())
            }
            _ => Error::Unhandled(crate::error::Unhandled::new(err.into())),
        }
    }
}
impl From<crate::error::UpdateVocabularyFilterError> for Error {
    fn from(err: crate::error::UpdateVocabularyFilterError) -> Self {
        match err.kind {
            crate::error::UpdateVocabularyFilterErrorKind::BadRequestException(inner) => {
                Error::BadRequestException(inner)
            }
            crate::error::UpdateVocabularyFilterErrorKind::InternalFailureException(inner) => {
                Error::InternalFailureException(inner)
            }
            crate::error::UpdateVocabularyFilterErrorKind::LimitExceededException(inner) => {
                Error::LimitExceededException(inner)
            }
            crate::error::UpdateVocabularyFilterErrorKind::NotFoundException(inner) => {
                Error::NotFoundException(inner)
            }
            crate::error::UpdateVocabularyFilterErrorKind::Unhandled(inner) => {
                Error::Unhandled(crate::error::Unhandled::new(inner.into()))
            }
        }
    }
}
impl std::error::Error for Error {}
